Skip to navigation

Commit chunked upload

View as Markdown

This method checks the integrity of a chunked upload and then commits it. When this request is successful, the chunked upload is then ready to be referenced in other API calls.

If the request is unsuccessful, ensure that you have uploaded all of the parts by using the Update method.

Note: After you commit a chunked upload, it no longer accepts additional parts.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

(Required) The external account number (int) or account ID GUID.

chunkedUploadIdstringRequired

(Required) The ID of the chunked upload to commit.

Query parameters

actionstringOptional

(Required) You must use this query parameter with the value commit, which affirms the request to validate and prepare the chunked upload for use with other API calls.

Response

Successful response.
checksumstringOptional

A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.

chunkedUploadIdstringOptional
The ID of the chunked upload.
chunkedUploadPartslist of objectsOptional
A list of the parts that compose the chunked upload, including their byte sizes. The list must be contiguous before you can commit the chunked upload.
chunkedUploadUristringOptional
The URI that you use to reference the chunked upload in other API requests, such as envelope document and envelope attachment requests.
committedstringOptional

When true, the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.

expirationDateTimestringOptional

The UTC time at which the chunked upload expires and is no longer addressable.

Note: You must fully upload and use a chunked upload within 20 minutes of initializing it.

maxChunkedUploadPartsstringOptional
The maximum number of parts allowed for a chunked upload. This value is configurable per Docusign environment, account, or integrator. The default value is 128. The maximum possible value is 256.
maxTotalSizestringOptional
The maximum total size allowed for a chunked upload. This value is configured per Docusign environment, account, or integrator. The default value is 50 MB.
totalSizestringOptional

The total size of the parts of the chunked upload.

Note: When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.

Errors

400
Bad Request Error